Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class WeakHashlist

`java.lang.Object
java.util.Dictionary
oracle.jbo.common.WeakHashtable
oracle.jbo.common.WeakHashlist`

public class WeakHashlist
extends WeakHashtable

Constructor Summary
`WeakHashlist()`
`WeakHashlist(int initialCapacity)`
`WeakHashlist(int initialCapacity, float loadFactor)`

Method Summary
`void` | `clear()`
`WeakVector` | `getList()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`java.lang.Object` | `remove(java.lang.Object key)`

Methods inherited from class oracle.jbo.common.WeakHashtable
`elements, get, isEmpty, keys, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeakHashlist

    public WeakHashlist(int initialCapacity,
                        float loadFactor)

### WeakHashlist

    public WeakHashlist(int initialCapacity)

### WeakHashlist

    public WeakHashlist()

Method Detail

### getList

    public WeakVector getList()

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Overrides:
    `put` in class `WeakHashtable`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Overrides:
    `remove` in class `WeakHashtable`

### clear

    public void clear()

  Overrides:
    `clear` in class `WeakHashtable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.